כאן נסביר איך לשלוח בקשות פשוטות ל-Cloud Billing API.
אפשר לראות רשימה מלאה של רכיבי ה-method בחומרי העזר של REST או RPC.
לפני שמתחילים
- נכנסים לחשבון Google Cloud . אם אתם משתמשים חדשים ב- Google Cloud, צרו חשבון כדי שתוכלו להעריך את הביצועים של המוצרים שלנו בתרחישים מהעולם האמיתי. לקוחות חדשים מקבלים בחינם גם קרדיט בשווי 300$ להרצה, לבדיקה ולפריסה של עומסי העבודה.
-
In the Google Cloud console, on the project selector page, select or create a Google Cloud project.
Roles required to select or create a project
- Select a project: Selecting a project doesn't require a specific IAM role—you can select any project that you've been granted a role on.
-
Create a project: To create a project, you need the Project Creator role
(
roles/resourcemanager.projectCreator), which contains theresourcemanager.projects.createpermission. Learn how to grant roles.
-
Verify that billing is enabled for your Google Cloud project.
Enable the Cloud Billing API.
Roles required to enable APIs
To enable APIs, you need the Service Usage Admin IAM role (
roles/serviceusage.serviceUsageAdmin), which contains theserviceusage.services.enablepermission. Learn how to grant roles.-
Create a service account:
-
Ensure that you have the Create Service Accounts IAM role
(
roles/iam.serviceAccountCreator) and the Project IAM Admin role (roles/resourcemanager.projectIamAdmin). Learn how to grant roles. -
In the Google Cloud console, go to the Create service account page.
Go to Create service account - Select your project.
-
In the Service account name field, enter a name. The Google Cloud console fills in the Service account ID field based on this name.
In the Service account description field, enter a description. For example,
Service account for quickstart. - Click Create and continue.
-
Grant the Project > Owner role to the service account.
To grant the role, find the Select a role list, then select Project > Owner.
- Click Continue.
-
Click Done to finish creating the service account.
Do not close your browser window. You will use it in the next step.
-
Ensure that you have the Create Service Accounts IAM role
(
-
Create a service account key:
- In the Google Cloud console, click the email address for the service account that you created.
- Click Keys.
- Click Add key, and then click Create new key.
- Click Create. A JSON key file is downloaded to your computer.
- Click Close.
-
Set the environment variable
GOOGLE_APPLICATION_CREDENTIALSto the path of the JSON file that contains your credentials. This variable applies only to your current shell session, so if you open a new session, set the variable again. -
In the Google Cloud console, on the project selector page, select or create a Google Cloud project.
Roles required to select or create a project
- Select a project: Selecting a project doesn't require a specific IAM role—you can select any project that you've been granted a role on.
-
Create a project: To create a project, you need the Project Creator role
(
roles/resourcemanager.projectCreator), which contains theresourcemanager.projects.createpermission. Learn how to grant roles.
-
Verify that billing is enabled for your Google Cloud project.
Enable the Cloud Billing API.
Roles required to enable APIs
To enable APIs, you need the Service Usage Admin IAM role (
roles/serviceusage.serviceUsageAdmin), which contains theserviceusage.services.enablepermission. Learn how to grant roles.-
Create a service account:
-
Ensure that you have the Create Service Accounts IAM role
(
roles/iam.serviceAccountCreator) and the Project IAM Admin role (roles/resourcemanager.projectIamAdmin). Learn how to grant roles. -
In the Google Cloud console, go to the Create service account page.
Go to Create service account - Select your project.
-
In the Service account name field, enter a name. The Google Cloud console fills in the Service account ID field based on this name.
In the Service account description field, enter a description. For example,
Service account for quickstart. - Click Create and continue.
-
Grant the Project > Owner role to the service account.
To grant the role, find the Select a role list, then select Project > Owner.
- Click Continue.
-
Click Done to finish creating the service account.
Do not close your browser window. You will use it in the next step.
-
Ensure that you have the Create Service Accounts IAM role
(
-
Create a service account key:
- In the Google Cloud console, click the email address for the service account that you created.
- Click Keys.
- Click Add key, and then click Create new key.
- Click Create. A JSON key file is downloaded to your computer.
- Click Close.
-
Set the environment variable
GOOGLE_APPLICATION_CREDENTIALSto the path of the JSON file that contains your credentials. This variable applies only to your current shell session, so if you open a new session, set the variable again.
הצגת רשימה של חשבונות לחיוב ב-Cloud
שיטת ה-API לרישום כל החשבונות לחיוב ב-Cloud (REST, RPC) היא השיטה הפשוטה ביותר ב-API, כי אין לה פרמטרים נדרשים. לכן מומלץ להתחיל איתה. השיטה פשוט מחזירה את כל החשבונות לחיוב שאתם מורשים להציג.
פרוטוקול
GET https://cloudbilling.googleapis.com/v1/billingAccounts
Java
ListBillingAccountsResponse result = service.billingAccounts().list().execute();
אחזור של חשבון ספציפי לחיוב ב-Cloud
כדי לאחזר חשבון ספציפי לחיוב (REST, RPC), אתם צריכים לדעת את מזהה החשבון לחיוב. בדוגמה הזו נשתמש במזהה 012345-567890-ABCDEF.
פרוטוקול
GET https://cloudbilling.googleapis.com/v1/billingAccounts/012345-567890-ABCDEF
Java
BillingAccount result = service.billingAccounts() .get("billingAccounts/00C5EA-61187E-D842F2").execute();
הפעלת חיוב ב-Cloud בפרויקט ב- Google Cloud
כדי להפעיל חיוב ב-Cloud לפרויקט ב- Google Cloud צריך לשלוח קריאה ל-Cloud Billing API ולשייך את הפרויקט ב- Google Cloud לחשבון קיים לחיוב ב-Cloud (REST, RPC).
הקוד לדוגמה שכאן משייך את הפרויקט tokyo-rain-123 ב- Google Cloud לחשבון 012345-567890-ABCDEF לחיוב ב-Cloud. אפשר גם להשתמש באותה שיטת API כדי להשבית את החיוב ב-Cloud לפרויקט ב- Google Cloud באמצעות הגדרה של ערך ריק בשדה billingAccountName.
פרוטוקול
PUT https://cloudbilling.googleapis.com/v1/projects/tokyo-rain-123/billingInfo
{
"billingAccountName": "billingAccounts/012345-567890-ABCDEF"
}Java
service.projects().updateBillingInfo(
"projects/tokyo-rain-123",
new ProjectBillingInfo().setBillingAccountName("billingAccounts/012345-567890-ABCDEF"))
.execute();הסרת המשאבים
- במסוף Google Cloud , נכנסים לדף Manage resources.
- ברשימת הפרויקטים, בוחרים את הפרויקט שרוצים למחוק ולוחצים על Delete.
- כדי למחוק את הפרויקט, כותבים את מזהה הפרויקט בתיבת הדו-שיח ולוחצים על Shut down.